| Home | Libraries | People | FAQ | More

# boost::asio::ip::udp Class Reference

List of all members.

## Detailed Description

Encapsulates the flags needed for UDP.

The boost::asio::ip::udp class contains flags necessary for UDP sockets.

Thread Safety:
  Distinct objects: Safe.
  Shared objects: Safe.

Concepts:
  Protocol.

## Public Types

typedef basic_endpoint< udp > | endpoint
| The type of a UDP endpoint.
typedef basic_resolver_query< udp > | resolver_query
| The type of a resolver query.
typedef basic_resolver_iterator< udp > | resolver_iterator
| The type of a resolver iterator.
typedef basic_datagram_socket< udp > | socket
| The IPv4 UDP socket type.
typedef basic_resolver< udp > | resolver
| The UDP resolver type.

## Public Member Functions

int | type () const
| Obtain an identifier for the type of the protocol.
int | protocol () const
| Obtain an identifier for the protocol.
int | family () const
| Obtain an identifier for the protocol family.

## Static Public Member Functions

static udp | v4 ()
| Construct to represent the IPv4 UDP protocol.
static udp | v6 ()
| Construct to represent the IPv4 UDP protocol.

## Member Typedef Documentation

typedef basic_endpoint<udp> boost::asio::ip::udp::endpoint

The type of a UDP endpoint.

typedef basic_resolver_query<udp> boost::asio::ip::udp::resolver_query

The type of a resolver query.

typedef basic_resolver_iterator<udp> boost::asio::ip::udp::resolver_iterator

The type of a resolver iterator.

typedef basic_datagram_socket<udp> boost::asio::ip::udp::socket

The IPv4 UDP socket type.

typedef basic_resolver<udp> boost::asio::ip::udp::resolver

The UDP resolver type.

## Member Function Documentation

static udp boost::asio::ip::udp::v4 | ( |  | ) | `[static]`

Construct to represent the IPv4 UDP protocol.

static udp boost::asio::ip::udp::v6 | ( |  | ) | `[static]`

Construct to represent the IPv4 UDP protocol.

int boost::asio::ip::udp::type | ( |  | ) | const

Obtain an identifier for the type of the protocol.

int boost::asio::ip::udp::protocol | ( |  | ) | const

Obtain an identifier for the protocol.

int boost::asio::ip::udp::family | ( |  | ) | const

Obtain an identifier for the protocol family.

| Copyright © 2003 - 2006 Christopher M. Kohlhoff